Tonyu.klass.define({
  fullName: 'user.EnemyBox',
  shortName: 'EnemyBox',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_EnemyBox_main() {
        "use strict";
        var _this=this;
        
        //$LASTPOS=1000000;//user.EnemyBox:0
        _this.THREE=Tonyu.globals.$THREE;
        //$LASTPOS=1000051;//user.EnemyBox:51
        _this.geometry = new _this.THREE.BoxGeometry(100,100,100);
        
        //$LASTPOS=1000104;//user.EnemyBox:104
        _this.material = new _this.THREE.MeshPhongMaterial({color: 16711680,emissive: 8947848,emissiveIntensity: - 1});
        
        //$LASTPOS=1000240;//user.EnemyBox:240
        _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
        
        //$LASTPOS=1000286;//user.EnemyBox:286
        _this.box.position.z=2000;
        //$LASTPOS=1000307;//user.EnemyBox:307
        _this.box.position.x=_this.rndFloat(- 500,500);
        //$LASTPOS=1000342;//user.EnemyBox:342
        _this.box.position.y=_this.rndFloat(- 30,300);
        //$LASTPOS=1000386;//user.EnemyBox:386
        Tonyu.globals.$scene.add(_this.box);
        //$LASTPOS=1000403;//user.EnemyBox:403
        while (_this.box.position.z>0) {
          Tonyu.checkLoop();
          //$LASTPOS=1000519;//user.EnemyBox:519
          _this.box.position.z-=10;
          //$LASTPOS=1000558;//user.EnemyBox:558
          _this.box.rotation.x+=0.01;
          //$LASTPOS=1000586;//user.EnemyBox:586
          _this.box.rotation.y+=0.01;
          //$LASTPOS=1000619;//user.EnemyBox:619
          _this.update();
          
        }
        //$LASTPOS=1000631;//user.EnemyBox:631
        Tonyu.globals.$scene.remove(_this.box);
      },
      fiber$main :function _trc_EnemyBox_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        //$LASTPOS=1000000;//user.EnemyBox:0
        _this.THREE=Tonyu.globals.$THREE;
        //$LASTPOS=1000051;//user.EnemyBox:51
        _this.geometry = new _this.THREE.BoxGeometry(100,100,100);
        
        //$LASTPOS=1000104;//user.EnemyBox:104
        _this.material = new _this.THREE.MeshPhongMaterial({color: 16711680,emissive: 8947848,emissiveIntensity: - 1});
        
        //$LASTPOS=1000240;//user.EnemyBox:240
        _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
        
        //$LASTPOS=1000286;//user.EnemyBox:286
        _this.box.position.z=2000;
        //$LASTPOS=1000307;//user.EnemyBox:307
        _this.box.position.x=_this.rndFloat(- 500,500);
        //$LASTPOS=1000342;//user.EnemyBox:342
        _this.box.position.y=_this.rndFloat(- 30,300);
        //$LASTPOS=1000386;//user.EnemyBox:386
        Tonyu.globals.$scene.add(_this.box);
        
        _thread.enter(function _trc_EnemyBox_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              //$LASTPOS=1000403;//user.EnemyBox:403
            case 1:
              if (!(_this.box.position.z>0)) { __pc=3     ; break; }
              //$LASTPOS=1000519;//user.EnemyBox:519
              _this.box.position.z-=10;
              //$LASTPOS=1000558;//user.EnemyBox:558
              _this.box.rotation.x+=0.01;
              //$LASTPOS=1000586;//user.EnemyBox:586
              _this.box.rotation.y+=0.01;
              //$LASTPOS=1000619;//user.EnemyBox:619
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              //$LASTPOS=1000631;//user.EnemyBox:631
              Tonyu.globals.$scene.remove(_this.box);
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"geometry":{},"material":{},"box":{},"THREE":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        //$LASTPOS=2000079;//user.Main:79
        if (typeof  requirejs==="function") {
          //$LASTPOS=2000120;//user.Main:120
          _this.THREE=_this.runPromise((function anonymous_137(s) {
            
            //$LASTPOS=2000152;//user.Main:152
            requirejs(["https://threejs.org/build/three.js"],s);
          }));
          
        } else {
          //$LASTPOS=2000225;//user.Main:225
          _this.waitFor($.getScript("https://threejs.org/build/three.js"));
          //$LASTPOS=2000289;//user.Main:289
          _this.THREE=window.THREE;
          
        }
        //$LASTPOS=2000311;//user.Main:311
        Tonyu.globals.$THREE=_this.THREE;
        //$LASTPOS=2000325;//user.Main:325
        _this.canvas = $("<canvas>").attr({width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight});
        
        //$LASTPOS=2000475;//user.Main:475
        _this.renderer = new _this.THREE.WebGLRenderer({canvas: _this.canvas[0]});
        
        //$LASTPOS=2000620;//user.Main:620
        _this.scene = new _this.THREE.Scene();
        
        //$LASTPOS=2000651;//user.Main:651
        Tonyu.globals.$scene=_this.scene;
        //$LASTPOS=2000724;//user.Main:724
        _this.camera = new _this.THREE.PerspectiveCamera(45,1,1,10000);
        
        //$LASTPOS=2000783;//user.Main:783
        _this.camera.position.set(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2,- Tonyu.globals.$screenHeight);
        //$LASTPOS=2000853;//user.Main:853
        _this.camera.rotation.x=Tonyu.globals.$Math.PI;
        //$LASTPOS=2001104;//user.Main:1104
        _this.pointLight = new _this.THREE.PointLight(16777215);
        
        //$LASTPOS=2001154;//user.Main:1154
        _this.pointLight.position.set(0,0,- 200);
        //$LASTPOS=2001190;//user.Main:1190
        _this.scene.add(_this.pointLight);
        //$LASTPOS=2001249;//user.Main:1249
        _this.light = new _this.THREE.DirectionalLight(16777215);
        
        //$LASTPOS=2001309;//user.Main:1309
        _this.scene.add(_this.light);
        //$LASTPOS=2001340;//user.Main:1340
        _this.light.position.set(1,1,1);
        //$LASTPOS=2001367;//user.Main:1367
        _this.renderer.render(_this.scene,_this.camera);
        //$LASTPOS=2001424;//user.Main:1424
        new Tonyu.classes.user.PlayerBox({camera: _this.camera});
        //$LASTPOS=2001447;//user.Main:1447
        _this.lp=1;
        //$LASTPOS=2001453;//user.Main:1453
        while (true) {
          Tonyu.checkLoop();
          //$LASTPOS=2001522;//user.Main:1522
          new Tonyu.classes.user.EnemyBox;
          //$LASTPOS=2001540;//user.Main:1540
          _this.updateEx(60);
          
        }
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              //$LASTPOS=2000079;//user.Main:79
              if (!(typeof  requirejs==="function")) { __pc=2     ; break; }
              //$LASTPOS=2000120;//user.Main:120
              _this.fiber$runPromise(_thread, (function anonymous_137(s) {
                
                //$LASTPOS=2000152;//user.Main:152
                requirejs(["https://threejs.org/build/three.js"],s);
              }));
              __pc=1;return;
            case 1:
              _this.THREE=_thread.retVal;
              
              __pc=4     ;break;
            case 2     :
              //$LASTPOS=2000225;//user.Main:225
              _this.fiber$waitFor(_thread, $.getScript("https://threejs.org/build/three.js"));
              __pc=3;return;
            case 3:
              
              //$LASTPOS=2000289;//user.Main:289
              _this.THREE=window.THREE;
            case 4     :
              
              //$LASTPOS=2000311;//user.Main:311
              Tonyu.globals.$THREE=_this.THREE;
              //$LASTPOS=2000325;//user.Main:325
              _this.canvas = $("<canvas>").attr({width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight});
              
              //$LASTPOS=2000475;//user.Main:475
              _this.renderer = new _this.THREE.WebGLRenderer({canvas: _this.canvas[0]});
              
              //$LASTPOS=2000620;//user.Main:620
              _this.scene = new _this.THREE.Scene();
              
              //$LASTPOS=2000651;//user.Main:651
              Tonyu.globals.$scene=_this.scene;
              //$LASTPOS=2000724;//user.Main:724
              _this.camera = new _this.THREE.PerspectiveCamera(45,1,1,10000);
              
              //$LASTPOS=2000783;//user.Main:783
              _this.camera.position.set(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2,- Tonyu.globals.$screenHeight);
              //$LASTPOS=2000853;//user.Main:853
              _this.camera.rotation.x=Tonyu.globals.$Math.PI;
              //$LASTPOS=2001104;//user.Main:1104
              _this.pointLight = new _this.THREE.PointLight(16777215);
              
              //$LASTPOS=2001154;//user.Main:1154
              _this.pointLight.position.set(0,0,- 200);
              //$LASTPOS=2001190;//user.Main:1190
              _this.scene.add(_this.pointLight);
              //$LASTPOS=2001249;//user.Main:1249
              _this.light = new _this.THREE.DirectionalLight(16777215);
              
              //$LASTPOS=2001309;//user.Main:1309
              _this.scene.add(_this.light);
              //$LASTPOS=2001340;//user.Main:1340
              _this.light.position.set(1,1,1);
              //$LASTPOS=2001367;//user.Main:1367
              _this.renderer.render(_this.scene,_this.camera);
              //$LASTPOS=2001424;//user.Main:1424
              new Tonyu.classes.user.PlayerBox({camera: _this.camera});
              //$LASTPOS=2001447;//user.Main:1447
              _this.lp=1;
              //$LASTPOS=2001453;//user.Main:1453
            case 5:
              //$LASTPOS=2001522;//user.Main:1522
              new Tonyu.classes.user.EnemyBox;
              //$LASTPOS=2001540;//user.Main:1540
              _this.fiber$updateEx(_thread, 60);
              __pc=6;return;
            case 6:
              
              __pc=5;break;
            case 7     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_Main_draw(ctx) {
        "use strict";
        var _this=this;
        
        //$LASTPOS=2001588;//user.Main:1588
        if (_this.renderer) {
          //$LASTPOS=2001602;//user.Main:1602
          _this.renderer.render(_this.scene,_this.camera);
        }
        //$LASTPOS=2001638;//user.Main:1638
        if (_this.canvas) {
          //$LASTPOS=2001650;//user.Main:1650
          ctx.drawImage(_this.canvas[0],0,0);
        }
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"canvas":{},"renderer":{},"scene":{},"camera":{},"pointLight":{},"light":{},"THREE":{},"lp":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PlayerBox',
  shortName: 'PlayerBox',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PlayerBox_main() {
        "use strict";
        var _this=this;
        
        //$LASTPOS=3000000;//user.PlayerBox:0
        _this.THREE=Tonyu.globals.$THREE;
        //$LASTPOS=3000051;//user.PlayerBox:51
        _this.geometry = new _this.THREE.BoxGeometry(50,50,50);
        
        //$LASTPOS=3000101;//user.PlayerBox:101
        _this.material = new _this.THREE.MeshPhongMaterial({color: 255});
        
        //$LASTPOS=3000197;//user.PlayerBox:197
        _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
        
        //$LASTPOS=3000243;//user.PlayerBox:243
        _this.box.position.set(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2,0);
        //$LASTPOS=3000306;//user.PlayerBox:306
        Tonyu.globals.$scene.add(_this.box);
        //$LASTPOS=3000323;//user.PlayerBox:323
        Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
        //$LASTPOS=3000338;//user.PlayerBox:338
        while (true) {
          Tonyu.checkLoop();
          //$LASTPOS=3000356;//user.PlayerBox:356
          _this.box.position.x+=Tonyu.globals.$pad.vx*5;
          //$LASTPOS=3000387;//user.PlayerBox:387
          _this.box.position.y+=Tonyu.globals.$pad.vy*5;
          //$LASTPOS=3000941;//user.PlayerBox:941
          _this.update();
          
        }
      },
      fiber$main :function _trc_PlayerBox_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        //$LASTPOS=3000000;//user.PlayerBox:0
        _this.THREE=Tonyu.globals.$THREE;
        //$LASTPOS=3000051;//user.PlayerBox:51
        _this.geometry = new _this.THREE.BoxGeometry(50,50,50);
        
        //$LASTPOS=3000101;//user.PlayerBox:101
        _this.material = new _this.THREE.MeshPhongMaterial({color: 255});
        
        //$LASTPOS=3000197;//user.PlayerBox:197
        _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
        
        //$LASTPOS=3000243;//user.PlayerBox:243
        _this.box.position.set(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2,0);
        //$LASTPOS=3000306;//user.PlayerBox:306
        Tonyu.globals.$scene.add(_this.box);
        //$LASTPOS=3000323;//user.PlayerBox:323
        Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
        
        _thread.enter(function _trc_PlayerBox_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              //$LASTPOS=3000338;//user.PlayerBox:338
            case 1:
              //$LASTPOS=3000356;//user.PlayerBox:356
              _this.box.position.x+=Tonyu.globals.$pad.vx*5;
              //$LASTPOS=3000387;//user.PlayerBox:387
              _this.box.position.y+=Tonyu.globals.$pad.vy*5;
              //$LASTPOS=3000941;//user.PlayerBox:941
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"geometry":{},"material":{},"box":{},"THREE":{}}}
});
Tonyu.klass.define({
  fullName: 'user.VR',
  shortName: 'VR',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_VR_main() {
        "use strict";
        var _this=this;
        
        //$LASTPOS=4000060;//user.VR:60
        "field strict";
        //$LASTPOS=4000076;//user.VR:76
        _this.SZ = 400;
        
        //$LASTPOS=4000094;//user.VR:94
        Tonyu.globals.$Screen.resize(_this.SZ*2,_this.SZ);
        //$LASTPOS=4000138;//user.VR:138
        if (typeof  requirejs==="function") {
          //$LASTPOS=4000179;//user.VR:179
          _this.THREE=_this.runPromise((function anonymous_196(s) {
            
            //$LASTPOS=4000211;//user.VR:211
            requirejs(["https://threejs.org/build/three.js"],s);
          }));
          
        } else {
          //$LASTPOS=4000284;//user.VR:284
          _this.waitFor($.getScript("https://threejs.org/build/three.js"));
          //$LASTPOS=4000348;//user.VR:348
          _this.THREE=window.THREE;
          
        }
        //$LASTPOS=4000370;//user.VR:370
        Tonyu.globals.$THREE=_this.THREE;
        //$LASTPOS=4000384;//user.VR:384
        _this.canvasL = $("<canvas>").attr({width: _this.SZ,height: _this.SZ});
        
        //$LASTPOS=4000448;//user.VR:448
        _this.rendererL = new _this.THREE.WebGLRenderer({canvas: _this.canvasL[0]});
        
        //$LASTPOS=4000516;//user.VR:516
        _this.canvasR = $("<canvas>").attr({width: _this.SZ,height: _this.SZ});
        
        //$LASTPOS=4000580;//user.VR:580
        _this.rendererR = new _this.THREE.WebGLRenderer({canvas: _this.canvasR[0]});
        
        //$LASTPOS=4000649;//user.VR:649
        _this.scene = new _this.THREE.Scene();
        
        //$LASTPOS=4000680;//user.VR:680
        Tonyu.globals.$scene=_this.scene;
        //$LASTPOS=4000753;//user.VR:753
        _this.cameraL = new _this.THREE.PerspectiveCamera(45,1,1,10000);
        
        //$LASTPOS=4000813;//user.VR:813
        _this.eyel = 20;
        
        //$LASTPOS=4000826;//user.VR:826
        _this.cameraL.position.set(_this.SZ/2-_this.eyel,_this.SZ/2,- _this.SZ);
        //$LASTPOS=4000870;//user.VR:870
        _this.cameraL.rotation.x=Tonyu.globals.$Math.PI;
        //$LASTPOS=4000900;//user.VR:900
        _this.cameraR = new _this.THREE.PerspectiveCamera(45,1,1,10000);
        
        //$LASTPOS=4000960;//user.VR:960
        _this.cameraR.position.set(_this.SZ/2+_this.eyel,_this.SZ/2,- _this.SZ);
        //$LASTPOS=4001004;//user.VR:1004
        _this.cameraR.rotation.x=Tonyu.globals.$Math.PI;
        //$LASTPOS=4001034;//user.VR:1034
        _this.pointLight = new _this.THREE.PointLight(16777215);
        
        //$LASTPOS=4001084;//user.VR:1084
        _this.pointLight.position.set(0,0,- 200);
        //$LASTPOS=4001120;//user.VR:1120
        _this.scene.add(_this.pointLight);
        //$LASTPOS=4001179;//user.VR:1179
        _this.light = new _this.THREE.DirectionalLight(16777215);
        
        //$LASTPOS=4001239;//user.VR:1239
        _this.scene.add(_this.light);
        //$LASTPOS=4001270;//user.VR:1270
        _this.light.position.set(1,1,1);
        //$LASTPOS=4001331;//user.VR:1331
        new Tonyu.classes.user.PlayerBox;
        //$LASTPOS=4001346;//user.VR:1346
        while (true) {
          Tonyu.checkLoop();
          //$LASTPOS=4001364;//user.VR:1364
          new Tonyu.classes.user.EnemyBox;
          //$LASTPOS=4001382;//user.VR:1382
          _this.updateEx(60);
          
        }
      },
      fiber$main :function _trc_VR_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        //$LASTPOS=4000060;//user.VR:60
        "field strict";
        //$LASTPOS=4000076;//user.VR:76
        _this.SZ = 400;
        
        //$LASTPOS=4000094;//user.VR:94
        Tonyu.globals.$Screen.resize(_this.SZ*2,_this.SZ);
        
        _thread.enter(function _trc_VR_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              //$LASTPOS=4000138;//user.VR:138
              if (!(typeof  requirejs==="function")) { __pc=2     ; break; }
              //$LASTPOS=4000179;//user.VR:179
              _this.fiber$runPromise(_thread, (function anonymous_196(s) {
                
                //$LASTPOS=4000211;//user.VR:211
                requirejs(["https://threejs.org/build/three.js"],s);
              }));
              __pc=1;return;
            case 1:
              _this.THREE=_thread.retVal;
              
              __pc=4     ;break;
            case 2     :
              //$LASTPOS=4000284;//user.VR:284
              _this.fiber$waitFor(_thread, $.getScript("https://threejs.org/build/three.js"));
              __pc=3;return;
            case 3:
              
              //$LASTPOS=4000348;//user.VR:348
              _this.THREE=window.THREE;
            case 4     :
              
              //$LASTPOS=4000370;//user.VR:370
              Tonyu.globals.$THREE=_this.THREE;
              //$LASTPOS=4000384;//user.VR:384
              _this.canvasL = $("<canvas>").attr({width: _this.SZ,height: _this.SZ});
              
              //$LASTPOS=4000448;//user.VR:448
              _this.rendererL = new _this.THREE.WebGLRenderer({canvas: _this.canvasL[0]});
              
              //$LASTPOS=4000516;//user.VR:516
              _this.canvasR = $("<canvas>").attr({width: _this.SZ,height: _this.SZ});
              
              //$LASTPOS=4000580;//user.VR:580
              _this.rendererR = new _this.THREE.WebGLRenderer({canvas: _this.canvasR[0]});
              
              //$LASTPOS=4000649;//user.VR:649
              _this.scene = new _this.THREE.Scene();
              
              //$LASTPOS=4000680;//user.VR:680
              Tonyu.globals.$scene=_this.scene;
              //$LASTPOS=4000753;//user.VR:753
              _this.cameraL = new _this.THREE.PerspectiveCamera(45,1,1,10000);
              
              //$LASTPOS=4000813;//user.VR:813
              _this.eyel = 20;
              
              //$LASTPOS=4000826;//user.VR:826
              _this.cameraL.position.set(_this.SZ/2-_this.eyel,_this.SZ/2,- _this.SZ);
              //$LASTPOS=4000870;//user.VR:870
              _this.cameraL.rotation.x=Tonyu.globals.$Math.PI;
              //$LASTPOS=4000900;//user.VR:900
              _this.cameraR = new _this.THREE.PerspectiveCamera(45,1,1,10000);
              
              //$LASTPOS=4000960;//user.VR:960
              _this.cameraR.position.set(_this.SZ/2+_this.eyel,_this.SZ/2,- _this.SZ);
              //$LASTPOS=4001004;//user.VR:1004
              _this.cameraR.rotation.x=Tonyu.globals.$Math.PI;
              //$LASTPOS=4001034;//user.VR:1034
              _this.pointLight = new _this.THREE.PointLight(16777215);
              
              //$LASTPOS=4001084;//user.VR:1084
              _this.pointLight.position.set(0,0,- 200);
              //$LASTPOS=4001120;//user.VR:1120
              _this.scene.add(_this.pointLight);
              //$LASTPOS=4001179;//user.VR:1179
              _this.light = new _this.THREE.DirectionalLight(16777215);
              
              //$LASTPOS=4001239;//user.VR:1239
              _this.scene.add(_this.light);
              //$LASTPOS=4001270;//user.VR:1270
              _this.light.position.set(1,1,1);
              //$LASTPOS=4001331;//user.VR:1331
              new Tonyu.classes.user.PlayerBox;
              //$LASTPOS=4001346;//user.VR:1346
            case 5:
              //$LASTPOS=4001364;//user.VR:1364
              new Tonyu.classes.user.EnemyBox;
              //$LASTPOS=4001382;//user.VR:1382
              _this.fiber$updateEx(_thread, 60);
              __pc=6;return;
            case 6:
              
              __pc=5;break;
            case 7     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_VR_draw(ctx) {
        "use strict";
        var _this=this;
        
        //$LASTPOS=4001430;//user.VR:1430
        if (_this.rendererL) {
          //$LASTPOS=4001445;//user.VR:1445
          _this.rendererL.render(_this.scene,_this.cameraL);
        }
        //$LASTPOS=4001483;//user.VR:1483
        if (_this.canvasL) {
          //$LASTPOS=4001496;//user.VR:1496
          ctx.drawImage(_this.canvasL[0],0,0);
        }
        //$LASTPOS=4001531;//user.VR:1531
        if (_this.rendererR) {
          //$LASTPOS=4001546;//user.VR:1546
          _this.rendererR.render(_this.scene,_this.cameraR);
        }
        //$LASTPOS=4001584;//user.VR:1584
        if (_this.canvasR) {
          //$LASTPOS=4001597;//user.VR:1597
          ctx.drawImage(_this.canvasR[0],_this.SZ,0);
        }
        //$LASTPOS=4001633;//user.VR:1633
        ctx.fillStyle="white";
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"SZ":{},"THREE":{},"canvasL":{},"rendererL":{},"canvasR":{},"rendererR":{},"scene":{},"cameraL":{},"eyel":{},"cameraR":{},"pointLight":{},"light":{}}}
});

//# sourceMappingURL=concat.js.map